Sticky update poll.

Discussion in 'PSP - Hacking & Homebrew' started by Rydian, May 6, 2011.

?

Which firmware branch should we focus on?

  1. 5.x - Tried and true.

    0 vote(s)
    0.0%
  2. 6.x - It's actually being updated.

    0 vote(s)
    0.0%
  1. Rydian
    OP

    Rydian Resident Furvert™

    Member
    27,883
    8,129
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The PSP scene is damn complex enough for new users without having to deal with the possibility of 5.x and 6.x firmwares.

    Since the 6.x firmwares are a lot easier to get to, work on way more models, and are the new platform for development, I'd like to re-write the stickies to focus on those (as they're a lot simpler to deal with), but I know people have reservations, so now there's a poll.
     
  2. Schlupi

    Schlupi Gbatemp's Official Earthbound Maniac™

    Member
    3,985
    161
    Aug 31, 2007
    United States
    Rozen Queen Co, Chicago Branch
    I say focus on 6.XX, and just make sure to include the big things about 5.XX (Higher plugin support, Pops, etc.).

    I personally think most people (especially noobs) should just do 6.XX anyways.
     
  3. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    If it is 6.xx, I'll update the guide completely with 6.20 PRO-Whatever (it still needs updating though, my bad)

    Edit: didn't see you wanted to do it Rydian
    My bad again
     
  4. Schlupi

    Schlupi Gbatemp's Official Earthbound Maniac™

    Member
    3,985
    161
    Aug 31, 2007
    United States
    Rozen Queen Co, Chicago Branch
    I mean, nowadays the only things 5.XX has over 6.XX is Pops support (and 6.XX almost does that the same anyways).

    All the old plugins (that people ACTUALLY use) for 5.XX work on 6.XX now, and 6.XX has better ISO compatibility.

    Unless you really, really wanna play one of these games:

    Biohazard 2 Beta
    Crash Compilation
    Dance Dance Revolution 4th Mix
    Dance Dance Revolution Extra Mix
    Dance Dance Revolution Konamix
    Donald Duck: Goin' Quackers
    Duke Nukem: Land of the Babes (clipping issues)
    InuYasha - A Feudal Fairy Tale
    Kiricou
    Lego Racers
    Looney Tunes: Lost in time
    One Piece Grand Battle
    Resident Evil 2 Dual Shock
    Road Rash 3D
    Skullmonkeys
    Sports Car GT
    Star Wars: The Phantom Menace
    Wild 9

    (those are the only non-working PSX games found as of now) there is really no reason to stay on 5.XX except for fanboyism.

    EDIT: That list is wrong, by the way for one thing -- RE 2 DS DOES work. It works on my Go...
    Hell, even that outdated ISO switching program for swapping UMDs (used for DJ Max by me to this day) works on 6.XX now.
     
  5. SylvWolf

    SylvWolf Ave Dominus Nox

    Member
    707
    4
    Jul 30, 2007
    United States
    East Coast, USA
    They need to be updated. The 5.xx stuff doesn't have to be scrapped, but the FAQ and "dummies" guide at least need to reflect that some 3000's and Go's are now fully-hackable. There should also be info about installing PRO-B, as I'd say that's now a standard.
     
  6. Rydian
    OP

    Rydian Resident Furvert™

    Member
    27,883
    8,129
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Now that I think about it, 6.x can be used on models that 5.x can't, and people who could use 5.x can just downgrade from 6.x one way or another (hellcat's or the custom downgrader), so i guess it should focus on 6.x, leaving 5.x as additional information for PSX games (for now).

    Oh if you want to do it that's fine with me, I won't be able to do much of it for a bit as I've got other priorities, it's the guides I wrote that need a big overhaul.
     
  7. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Memory Stick access is still faster on M33 than on every other firmware....that's a good enough reason for lots of people to put up with patching ISO's once.

    But i agree that the guides should really cater in the main for the latest 6.20/6.35 PRO firmwares because that's what new users should be utilising to start with.
     
  8. Rydian
    OP

    Rydian Resident Furvert™

    Member
    27,883
    8,129
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The majority of stuff focusing on 6.x, with a guide offering 5.x as an alternative and listing the pros and cons?
     
  9. Mario92

    Mario92 GBAtemp Advanced Fan

    Member
    878
    85
    Feb 20, 2010
    Finland
    Finland
    This sound perfect. [​IMG]